import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { CnK8sPod } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-11-09 14:51
 */
interface CnK8sPodCU extends ConditionUtil<CnK8sPodCU> {
    ID: FieldUtil<CnK8sPodCU>;
    DEPLOY_ID: FieldUtil<CnK8sPodCU>;
    IP: FieldUtil<CnK8sPodCU>;
    POD_ID: FieldUtil<CnK8sPodCU>;
    K8S_ID: FieldUtil<CnK8sPodCU>;
    ENV_CODE: FieldUtil<CnK8sPodCU>;
    APP_TYPE: FieldUtil<CnK8sPodCU>;
    ENV_MAP: FieldUtil<CnK8sPodCU>;
    STATUS: FieldUtil<CnK8sPodCU>;
    LAST_ACTIVE_TIME: FieldUtil<CnK8sPodCU>;
    LAST_POLLING_TIME: FieldUtil<CnK8sPodCU>;
    DELETED: FieldUtil<CnK8sPodCU>;
    CREATE_USER_ID: FieldUtil<CnK8sPodCU>;
    CREATE_TIME: FieldUtil<CnK8sPodCU>;
    UPDATE_USER_ID: FieldUtil<CnK8sPodCU>;
    UPDATE_TIME: FieldUtil<CnK8sPodCU>;
    CLOUD_PROVIDER: FieldUtil<CnK8sPodCU>;
}
declare class CnK8sPodMU extends TableUtilImpl<CnK8sPodCU, CnK8sPod> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): CnK8sPodCU;
    static get ID(): FieldUtil<CnK8sPodCU>;
    static get DEPLOY_ID(): FieldUtil<CnK8sPodCU>;
    static get IP(): FieldUtil<CnK8sPodCU>;
    static get POD_ID(): FieldUtil<CnK8sPodCU>;
    static get K8S_ID(): FieldUtil<CnK8sPodCU>;
    static get ENV_CODE(): FieldUtil<CnK8sPodCU>;
    static get APP_TYPE(): FieldUtil<CnK8sPodCU>;
    static get ENV_MAP(): FieldUtil<CnK8sPodCU>;
    static get STATUS(): FieldUtil<CnK8sPodCU>;
    static get LAST_ACTIVE_TIME(): FieldUtil<CnK8sPodCU>;
    static get LAST_POLLING_TIME(): FieldUtil<CnK8sPodCU>;
    static get DELETED(): FieldUtil<CnK8sPodCU>;
    static get CREATE_USER_ID(): FieldUtil<CnK8sPodCU>;
    static get CREATE_TIME(): FieldUtil<CnK8sPodCU>;
    static get UPDATE_USER_ID(): FieldUtil<CnK8sPodCU>;
    static get UPDATE_TIME(): FieldUtil<CnK8sPodCU>;
    static get CLOUD_PROVIDER(): FieldUtil<CnK8sPodCU>;
    get ID(): FieldUtil<CnK8sPodCU>;
    get DEPLOY_ID(): FieldUtil<CnK8sPodCU>;
    get IP(): FieldUtil<CnK8sPodCU>;
    get POD_ID(): FieldUtil<CnK8sPodCU>;
    get K8S_ID(): FieldUtil<CnK8sPodCU>;
    get ENV_CODE(): FieldUtil<CnK8sPodCU>;
    get APP_TYPE(): FieldUtil<CnK8sPodCU>;
    get ENV_MAP(): FieldUtil<CnK8sPodCU>;
    get STATUS(): FieldUtil<CnK8sPodCU>;
    get LAST_ACTIVE_TIME(): FieldUtil<CnK8sPodCU>;
    get LAST_POLLING_TIME(): FieldUtil<CnK8sPodCU>;
    get DELETED(): FieldUtil<CnK8sPodCU>;
    get CREATE_USER_ID(): FieldUtil<CnK8sPodCU>;
    get CREATE_TIME(): FieldUtil<CnK8sPodCU>;
    get UPDATE_USER_ID(): FieldUtil<CnK8sPodCU>;
    get UPDATE_TIME(): FieldUtil<CnK8sPodCU>;
    get CLOUD_PROVIDER(): FieldUtil<CnK8sPodCU>;
}
export { CnK8sPodMU, CnK8sPodCU };
